Skip to content
Start here

Get Sippy Configuration

client.r2.buckets.sippy.get(stringbucketName, SippyGetParams { account_id, jurisdiction } params, RequestOptionsoptions?): Sippy { destination, enabled, source }
GET/accounts/{account_id}/r2/buckets/{bucket_name}/sippy

Gets configuration for Sippy for an existing R2 bucket.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
ParametersExpand Collapse
bucketName: string

Name of the bucket.

maxLength64
minLength3
params: SippyGetParams { account_id, jurisdiction }
account_id: string

Path param: Account ID.

maxLength32
jurisdiction?: "default" | "eu" | "fedramp"

Header param: Jurisdiction where objects in this bucket are guaranteed to be stored.

One of the following:
"default"
"eu"
"fedramp"
ReturnsExpand Collapse
Sippy { destination, enabled, source }
destination?: Destination { accessKeyId, account, bucket, provider }

Details about the configured destination bucket.

accessKeyId?: string

ID of the Cloudflare API token used when writing objects to this bucket.

account?: string
bucket?: string

Name of the bucket on the provider.

provider?: Provider { }
enabled?: boolean

State of Sippy for this bucket.

source?: Source { bucket, bucketUrl, provider, region }

Details about the configured source bucket.

bucket?: string | null

Name of the bucket on the provider (AWS, GCS only).

bucketUrl?: string | null

S3-compatible URL (Generic S3-compatible providers only).

provider?: "aws" | "gcs" | "s3"
One of the following:
"aws"
"gcs"
"s3"
region?: string | null

Region where the bucket resides (AWS only).

Get Sippy Configuration

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const sippy = await client.r2.buckets.sippy.get('example-bucket', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(sippy.destination);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "destination": {
      "accessKeyId": "accessKeyId",
      "account": "account",
      "bucket": "bucket",
      "provider": "r2"
    },
    "enabled": true,
    "source": {
      "bucket": "bucket",
      "bucketUrl": "bucketUrl",
      "provider": "aws",
      "region": "region"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "destination": {
      "accessKeyId": "accessKeyId",
      "account": "account",
      "bucket": "bucket",
      "provider": "r2"
    },
    "enabled": true,
    "source": {
      "bucket": "bucket",
      "bucketUrl": "bucketUrl",
      "provider": "aws",
      "region": "region"
    }
  },
  "success": true
}